using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            string NM = Console.ReadLine();
            int[,] N = new int[int.Parse(NM.Split(' ')[0]), 2];
            int[,] M = new int[int.Parse(NM.Split(' ')[1]), 3];

            for (int i = 0; i < N.GetLength(0); i++)
            {
                string Ns = Console.ReadLine();
                for (int j = 0; j < N.GetLength(1); j++)
                {
                    if (j == 0)
                        N[i, j] = int.Parse(Ns.Split(' ')[0]);
                    else
                        N[i, j] = int.Parse(Ns.Split(' ')[1]);
                }
            }
            for (int i = 0; i < M.GetLength(0); i++)
            {
                string Ms = Console.ReadLine();
                for (int j = 0; j < M.GetLength(1); j++)
                {
                    if (j == 0) M[i, j] = int.Parse(Ms.Split(' ')[0]);
                    if (j == 1) M[i, j] = int.Parse(Ms.Split(' ')[1]);
                    if (j == 2) M[i, j] = int.Parse(Ms.Split(' ')[2]);
                }
            }

            int br = 0;
            for (int i = 0; i < M.GetLength(0); i++)
            {
                br = 0;
                for (int j = (M[i, 0] - 1); j <= (M[i, 1] - 1); j++)
                {
                    if (M[i, 2] >= N[j, 0] && M[i, 2] <= N[j, 1])
                        br++;
                }
                Console.WriteLine(br);
            }
        }
    }
}